#
# spec file for package pure-xemacs (Version 0.5p)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake compface ctags cyrus-sasl gpm libjpeg libpng libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel xaw3d xemacs xemacs-info xpm xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compface compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xemacs xemacs-info xshared

Name:         pure-xemacs
Copyright:    GPL
Group:        Applications/Editors/Emacs
Requires:     xemacs
Autoreqprov:  on
Version:      0.5p
Release:      88
URL:          http://pure.fan.gr.jp/pure/
Source0:      http://irc.fan.gr.jp/pj/src/2.5/pure-%{version}.tar.bz2
Patch0:       pure-xemacs-%{version}.dif
Summary:      Primitive Universal Relay-chat Environment
Summary(ja):  Primitive Universal Relay-chat Environment
BuildRoot:    %{_tmppath}/%{name}-root/

%description
"pure" (Primitive Universal Relay-chat Environment) is an internal
module of functions which have been separated out of "irchat-pj", an
IRC client for (X)Emacs. "pure" is needed to use "irchat-pj".

This package has been compiled for XEmacs.

Authors:
--------
    SHIMADA Mitsunobu <simm@pure.fan.gr.jp> 
    

SuSE series: e

%prep
%setup -n pure-%{version}
%patch0 -p1

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
# change paths to binaries (because of FHS):
for i in pure-pr-dcc-pure.el pure-pr-server.el
do
    sed < $i -e "s/SYS_PLACEHOLDER/${RPM_ARCH}-suse-linux/g" > $i.tmp
    mv $i.tmp $i
done
make package DEST=%{xemacs_package_dir}

%install
mkdir -p $RPM_BUILD_ROOT%{xemacs_package_dir}
make install-package DEST=$RPM_BUILD_ROOT%{xemacs_package_dir}
# move binaries (because of FHS):
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/${RPM_ARCH}-suse-linux
mv $RPM_BUILD_ROOT%{xemacs_package_dir}/etc/pure/{dccget,dccput,puresv} $RPM_BUILD_ROOT/usr/lib/xemacs/${RPM_ARCH}-suse-linux

%files
%defattr(-,root,root)
%doc INSTALL* 
%{xemacs_package_dir}/lisp/*
%{xemacs_package_dir}/etc/*
/usr/lib/xemacs/*-suse-linux

%changelog -n pure-xemacs
* Fri Aug 03 2001 - mfabian@suse.de
- new package: pure-xemacs, version 0.5p
